source("0_prepare.r")

# join tables
x <- merge(sam, loc, by="id_location", all=FALSE)

# get counts by categories
x <- aggregate(list(count=1:nrow(x)), by=x[,c("wwtp_impact","compartment")], length)

# print in digestible form
print(acast(wwtp_impact ~ compartment, data=x, value.var="count", fill=0))

